Subject: Re: bug#55000: [PATCH] gnu: Fix incorrect path in home-fish-service
From: Ludovic Courtès <[email-masked]>
To: Maya <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Apr 2022 23:59:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maya <[email-masked]> skribis:

> I haven't found any info on this and I wasn't sure if I should open a bug report. I believe this is a bug in the home-fish-service, as guix home copies the configuration file to "~/config/fish/config.fish" but the path where fish looks for is "~/.config/fish/config.fish"
>
> Other than that it functions correctly, it must've been a mistake as one rarely changes this file and once in the right place, it works perfectly. Without it though, the guix home is non-functional.

Indeed.  This is because ‘home-files-service-type’ no longer prepends
“.” to file names.

Applied now, thanks!

Ludo’.

PS: And congrats on getting bug #55000.  :-)